<div align="center">
  <img src="https://raw.githubusercontent.com/gutterstyle/ICONIC/main/images/iconic.png" alt="ICONIC Logo">
  <br>
  <a href="https://marketplace.visualstudio.com/items?itemName=GutterStyle.iconic">
    <img src="https://img.shields.io/badge/MARKETPLACE-%235a249f?style=flat-square&logo=visual-studio-code&logoColor=white" alt="Visual Studio Code Marketplace" />
  </a>
</div>

# **<span style="color:#00aae9;">I</span><span style="color:#7564e8;">C</span><span style="color:#00aae9;">O</span><span style="color:#7564e8;">N</span><span style="color:#00aae9;">I</span><span style="color:#7564e8;">C</span></span>**<span style="color:#7564e8;">: A Versatile VSCode Theme Extension</span>

**<span style="color:#00aae9;">I</span><span style="color:#7564e8;">C</span><span style="color:#00aae9;">O</span><span style="color:#7564e8;">N</span><span style="color:#00aae9;">I</span><span style="color:#7564e8;">C</span></span>** is my carefully crafted VSCode extension that combines the best elements from various popular extensions on the marketplace with some of my own creations to provide a unique and versatile coding experience. It offers three main features:

1. **<span style="color:#00aae9;">Color Theme:</span>** A visually appealing color scheme that enhances code readability and reduces eye strain during long coding sessions.

2. **<span style="color:#00aae9;">Icon Theme:</span>** A unified set of icons for your code files, ensuring consistency and improving your coding workflow.

3. **<span style="color:#00aae9;">Product Icon Theme:</span>** A fresh and modern look for your Visual Studio Code interface with stylish icons for different file types.

## <span style="color:#7564e8;">Installation</span>

You can easily install **<span style="color:#00aae9;">I</span><span style="color:#7564e8;">C</span><span style="color:#00aae9;">O</span><span style="color:#7564e8;">N</span><span style="color:#00aae9;">I</span><span style="color:#7564e8;">C</span></span>** via the Visual Studio Code Marketplace. Follow these steps:

1. Open VSCode.
2. Go to the Extensions view by clicking on the Extensions icon in the Activity Bar on the side of the window.
3. Search for "ICONIC."
4. Click the "Install" button to install the extension.
5. After installation, click the "Reload" button to activate ICONIC.

## <span style="color:#7564e8;">Usage</span>

To activate ICONIC's features, follow these simple steps:

1. Open VSCode.
2. Click on the gear icon (⚙️) in the bottom-left corner to open the settings.
3. In the "Color Theme" section, select "**<span style="color:#00aae9;">I</span><span style="color:#7564e8;">C</span><span style="color:#00aae9;">O</span><span style="color:#7564e8;">N</span><span style="color:#00aae9;">I</span><span style="color:#7564e8;">C</span></span>**" from the dropdown list to apply the color theme.
4. In the "Icon Theme" section, choose "**<span style="color:#00aae9;">I</span><span style="color:#7564e8;">C</span><span style="color:#00aae9;">O</span><span style="color:#7564e8;">N</span><span style="color:#00aae9;">I</span><span style="color:#7564e8;">C</span></span>**" to enable the icon theme.
5. In the "Product Icon Theme" section, choose "**<span style="color:#00aae9;">I</span><span style="color:#7564e8;">C</span><span style="color:#00aae9;">O</span><span style="color:#7564e8;">N</span><span style="color:#00aae9;">I</span><span style="color:#7564e8;">C</span></span>**" to enable the product icon theme.
6. Enjoy your enhanced coding experience with **<span style="color:#00aae9;">I</span><span style="color:#7564e8;">C</span><span style="color:#00aae9;">O</span><span style="color:#7564e8;">N</span><span style="color:#00aae9;">I</span><span style="color:#7564e8;">C</span></span>**!

## <span style="color:#7564e8;">Feedback and Contributions</span>

**<span style="color:#00aae9;">I</span><span style="color:#7564e8;">C</span><span style="color:#00aae9;">O</span><span style="color:#7564e8;">N</span><span style="color:#00aae9;">I</span><span style="color:#7564e8;">C</span></span>** is an open-source project, and your contributions are highly appreciated. If you encounter any issues, have suggestions, or want to contribute to the development of **<span style="color:#00aae9;">I</span><span style="color:#7564e8;">C</span><span style="color:#00aae9;">O</span><span style="color:#7564e8;">N</span><span style="color:#00aae9;">I</span><span style="color:#7564e8;">C</span></span>**, please visit my [GitHub repository](https://github.com/gutterstyle/ICONIC) and open an issue or submit a pull request. 

Your feedback and contributions will help make **<span style="color:#00aae9;">ICONIC</span>** even better!

## <span style="color:#7564e8;">License</span>

**<span style="color:#00aae9;">I</span><span style="color:#7564e8;">C</span><span style="color:#00aae9;">O</span><span style="color:#7564e8;">N</span><span style="color:#00aae9;">I</span><span style="color:#7564e8;">C</span></span>** is distributed under the [MIT License](https://github.com/gutterstyle/ICONIC/blob/HEAD/LICENSE.md).

---

Thank you for using **<span style="color:#00aae9;">I</span><span style="color:#7564e8;">C</span><span style="color:#00aae9;">O</span><span style="color:#7564e8;">N</span><span style="color:#00aae9;">I</span><span style="color:#7564e8;">C</span></span>**! I hope you enjoy your new coding experience.

**<span style="color:#7564e8;">Happy coding!</span>** 🚀
